# Fetch Data

<table data-full-width="true"><thead><tr><th width="413.728515625">API</th><th>Description</th></tr></thead><tbody><tr><td><strong>POST /api/fetchSuspectSampleData</strong></td><td>Fetch suspicious sample request/response data flagged during threat detection.</td></tr><tr><td><strong>POST /api/fetchThreatActors</strong></td><td>Retrieve details of identified threat actors (malicious sources).</td></tr><tr><td><strong>POST /api/fetchFiltersThreatTable</strong></td><td>Fetch available filters for organizing and querying the threat table.</td></tr><tr><td><strong>POST /api/getThreatActivityTimeline</strong></td><td>Retrieve the activity timeline of threats across a given period.</td></tr><tr><td><strong>POST /api/fetchAggregateMaliciousRequests</strong></td><td>Get aggregated statistics of malicious requests detected across APIs.</td></tr><tr><td><strong>POST /api/fetchCountBySeverity</strong></td><td>Retrieve counts of threats grouped by severity (Critical, High, Medium, Low).</td></tr><tr><td><strong>POST /api/fetchRemediationInfo</strong></td><td>Fetch remediation details and guidance for specific threats or issues.</td></tr><tr><td><strong>POST /api/fetchThreatApis</strong></td><td>Get the list of APIs targeted by threats or malicious traffic.</td></tr><tr><td><strong>POST /api/fetchThreatCategoryCount</strong></td><td>Retrieve the count of threats grouped by categories (e.g., Injection, Auth, DoS).</td></tr><tr><td><strong>POST /api/fetchFilterYamlTemplate</strong></td><td>Fetch the YAML template for building custom filters for threat analysis.</td></tr><tr><td><strong>POST /api/fetchFiltersForThreatActors</strong></td><td>Retrieve filter options for drilling into threat actor activity.</td></tr><tr><td><strong>POST /api/getDailyThreatActorsCount</strong></td><td>Get the count of active threat actors observed per day.</td></tr><tr><td><strong>POST /api/getActorsCountPerCounty</strong></td><td>Retrieve the distribution of threat actors grouped by country.</td></tr></tbody></table>

## POST /api/fetchSuspectSampleData

> api/fetchSuspectSampleData

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchSuspectSampleData":{"post":{"summary":"api/fetchSuspectSampleData","operationId":"https://app.akto.io/api/fetchSuspectSampleData-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"urls":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"types":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"limit":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"object","properties":{"detectedAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["detectedAt"]},"endTimestamp":{"type":"integer","format":"int32","types":["integer"]},"startTimestamp":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["urls","types","limit","skip","sort","endTimestamp","startTimestamp"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"severity":{"type":"string","types":["string"]},"total":{"type":"integer","format":"int32","types":["integer"]},"urls":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"subCategory":{"type":"string","types":["string"]},"types":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"sampleData":{"type":"string","types":["string"]},"maliciousEvents":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string","types":["string"]},"metadata":{"type":"string","types":["string"]},"subCategory":{"type":"string","types":["string"]},"method":{"type":"string","types":["string"]},"ip":{"type":"string","types":["string"]},"eventType":{"type":"string","types":["string"]},"apiCollectionId":{"type":"integer","format":"int32","types":["integer"]},"type":{"type":"string","types":["string"]},"url":{"type":"string","types":["string"]},"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"payload":{"type":"string","types":["string"]},"id":{"type":"string","types":["string"]},"refId":{"type":"string","types":["string"]},"category":{"type":"string","types":["string"]},"timestamp":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"types":["array"]},"limit":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"object","properties":{"detectedAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"endTimestamp":{"type":"integer","format":"int32","types":["integer"]},"startTimestamp":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchThreatActors

> api/fetchThreatActors

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchThreatActors":{"post":{"summary":"api/fetchThreatActors","operationId":"https://app.akto.io/api/fetchThreatActors-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"object","properties":{"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["discoveredAt"]}},"types":["object"],"required":["endTs","skip","startTs","sort"]}}}},"responses":{"200":{"description":"description","headers":{"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"date":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"vary":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"splunkUrl":{"type":"string","types":["string"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"actorsCountPerCounty":{"type":"string","types":["string"]},"sort":{"type":"object","properties":{"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"eventType":{"type":"string","types":["string"]},"splunkToken":{"type":"string","types":["string"]},"actorsCountPerCountry":{"type":"string","types":["string"]},"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"actors":{"type":"array","items":{"type":"object","properties":{"latestAttack":{"type":"string","types":["string"]},"country":{"type":"string","types":["string"]},"activity":{"type":"array","items":{"type":"object","properties":{"severity":{"type":"string","types":["string"]},"subCategory":{"type":"string","types":["string"]},"method":{"type":"string","types":["string"]},"detectedAt":{"type":"integer","format":"int32","types":["integer"]},"url":{"type":"string","types":["string"]}},"types":["object"]},"types":["array"]},"latestApiEndpoint":{"type":"string","types":["string"]},"latestApiIp":{"type":"string","types":["string"]},"id":{"type":"string","types":["string"]},"latestApiMethod":{"type":"string","types":["string"]},"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"types":["array"]},"total":{"type":"integer","format":"int32","types":["integer"]},"endTs":{"type":"integer","format":"int32","types":["integer"]},"maliciousPayloadsResponses":{"type":"string","types":["string"]},"refId":{"type":"string","types":["string"]},"actorIp":{"type":"string","types":["string"]},"status":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchFiltersThreatTable

> api/fetchFiltersThreatTable

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchFiltersThreatTable":{"post":{"summary":"api/fetchFiltersThreatTable","operationId":"https://app.akto.io/api/fetchFiltersThreatTable-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}},"responses":{"200":{"description":"description","headers":{"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"date":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"vary":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"severity":{"type":"string","types":["string"]},"subCategory":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"types":{"type":"string","types":["string"]},"apiCollectionIds":{"type":"string","types":["string"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"string","types":["string"]},"ips":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"latestAttack":{"type":"string","types":["string"]},"urls":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"total":{"type":"integer","format":"int32","types":["integer"]},"sampleData":{"type":"string","types":["string"]},"maliciousEvents":{"type":"string","types":["string"]},"limit":{"type":"integer","format":"int32","types":["integer"]},"endTimestamp":{"type":"integer","format":"int32","types":["integer"]},"startTimestamp":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]}}}}}}}}}
```

## POST /api/getThreatActivityTimeline

> api/getThreatActivityTimeline

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/getThreatActivityTimeline":{"post":{"summary":"api/getThreatActivityTimeline","operationId":"https://app.akto.io/api/getThreatActivityTimeline-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["endTs","startTs"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}}}}}}}
```

## POST /api/fetchAggregateMaliciousRequests

> api/fetchAggregateMaliciousRequests

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchAggregateMaliciousRequests":{"post":{"summary":"api/fetchAggregateMaliciousRequests","operationId":"https://app.akto.io/api/fetchAggregateMaliciousRequests-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"refId":{"type":"string","types":["string"]},"eventType":{"type":"string","types":["string"]}},"types":["object"],"required":["actor","filterId","refId","eventType"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"string","types":["string"]},"splunkUrl":{"type":"string","types":["string"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"string","types":["string"]},"eventType":{"type":"string","types":["string"]},"splunkToken":{"type":"string","types":["string"]},"actorsCountPerCounty":{"type":"string","types":["string"]},"actorsCountPerCountry":{"type":"string","types":["string"]},"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"latestAttack":{"type":"string","types":["string"]},"actors":{"type":"string","types":["string"]},"total":{"type":"integer","format":"int32","types":["integer"]},"actorId":{"type":"string","types":["string"]},"endTs":{"type":"integer","format":"int32","types":["integer"]},"maliciousPayloadsResponses":{"type":"array","items":{"type":"object","properties":{"metadata":{"type":"string","types":["string"]},"orig":{"type":"string","types":["string"]},"ts":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"types":["array"]},"refId":{"type":"string","types":["string"]},"status":{"type":"string","types":["string"]},"actorIp":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchCountBySeverity

> api/fetchCountBySeverity

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchCountBySeverity":{"post":{"summary":"api/fetchCountBySeverity","operationId":"https://app.akto.io/api/fetchCountBySeverity-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["endTs","startTs"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"categoryCounts":{"type":"array","items":{"type":"object","properties":{"subCategory":{"type":"string","types":["string"]},"count":{"type":"integer","format":"int32","types":["integer"]},"category":{"type":"string","types":["string"]}},"types":["object"]},"types":["array"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchRemediationInfo

> api/fetchRemediationInfo

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchRemediationInfo":{"post":{"summary":"api/fetchRemediationInfo","operationId":"https://app.akto.io/api/fetchRemediationInfo-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"testId":{"type":"string","types":["string"]}},"types":["object"],"required":["testId"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}}}}}}}
```

## POST /api/fetchThreatApis

> api/fetchThreatApis

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchThreatApis":{"post":{"summary":"api/fetchThreatApis","operationId":"https://app.akto.io/api/fetchThreatApis-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"skip":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"object","properties":{"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["discoveredAt"]}},"types":["object"],"required":["skip","sort"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer","format":"int32","types":["integer"]},"threatActivityTimeline":{"type":"string","types":["string"]},"apis":{"type":"array","items":{"type":"object","properties":{"method":{"type":"string","types":["string"]},"requestsCount":{"type":"integer","format":"int32","types":["integer"]},"actorsCount":{"type":"integer","format":"int32","types":["integer"]},"api":{"type":"string","types":["string"]},"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"types":["array"]},"dailyThreatActorsCount":{"type":"string","types":["string"]},"endTs":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"sort":{"type":"object","properties":{"discoveredAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"actorsCounts":{"type":"string","types":["string"]},"categoryCounts":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchThreatCategoryCount

> api/fetchThreatCategoryCount

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchThreatCategoryCount":{"post":{"summary":"api/fetchThreatCategoryCount","operationId":"https://app.akto.io/api/fetchThreatCategoryCount-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["endTs","startTs"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"categoryCounts":{"type":"array","items":{"type":"object","properties":{"subCategory":{"type":"string","types":["string"]},"count":{"type":"integer","format":"int32","types":["integer"]},"category":{"type":"string","types":["string"]}},"types":["object"]},"types":["array"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchFilterYamlTemplate

> api/fetchFilterYamlTemplate

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchFilterYamlTemplate":{"post":{"summary":"api/fetchFilterYamlTemplate","operationId":"https://app.akto.io/api/fetchFilterYamlTemplate-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}},"responses":{"200":{"description":"description","headers":{"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"date":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"vary":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"templates":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"integer","format":"int32","types":["integer"]},"author":{"type":"string","types":["string"]},"id":{"type":"string","types":["string"]},"content":{"type":"string","types":["string"]},"info":{"type":"object","properties":{"severity":{"type":"string","types":["string"]},"subCategory":{"type":"string","types":["string"]},"references":{"type":"string","types":["string"]},"impact":{"type":"string","types":["string"]},"description":{"type":"string","types":["string"]},"tags":{"type":"string","types":["string"]},"cwe":{"type":"string","types":["string"]},"remediation":{"type":"string","types":["string"]},"cve":{"type":"string","types":["string"]},"compliance":{"type":"string","types":["string"]},"name":{"type":"string","types":["string"]},"details":{"type":"string","types":["string"]},"category":{"type":"object","properties":{"displayName":{"type":"string","types":["string"]},"name":{"type":"string","types":["string"]},"shortName":{"type":"string","types":["string"]}},"types":["object"]}},"types":["object"]},"updatedAt":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"]},"types":["array"]},"content":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/fetchFiltersForThreatActors

> api/fetchFiltersForThreatActors

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/fetchFiltersForThreatActors":{"post":{"summary":"api/fetchFiltersForThreatActors","operationId":"https://app.akto.io/api/fetchFiltersForThreatActors-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}},"responses":{"200":{"description":"description","headers":{"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"date":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"vary":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"splunkUrl":{"type":"string","types":["string"]},"startTs":{"type":"integer","format":"int32","types":["integer"]},"skip":{"type":"integer","format":"int32","types":["integer"]},"eventType":{"type":"string","types":["string"]},"actorsCountPerCounty":{"type":"string","types":["string"]},"splunkToken":{"type":"string","types":["string"]},"sort":{"type":"string","types":["string"]},"actorsCountPerCountry":{"type":"string","types":["string"]},"actor":{"type":"string","types":["string"]},"filterId":{"type":"string","types":["string"]},"latestAttack":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"actors":{"type":"string","types":["string"]},"total":{"type":"integer","format":"int32","types":["integer"]},"actorId":{"type":"array","items":{"type":"string","types":["string"]},"types":["array"]},"endTs":{"type":"integer","format":"int32","types":["integer"]},"maliciousPayloadsResponses":{"type":"string","types":["string"]},"refId":{"type":"string","types":["string"]},"actorIp":{"type":"string","types":["string"]},"status":{"type":"string","types":["string"]}},"types":["object"]}}}}}}}}}
```

## POST /api/getDailyThreatActorsCount

> api/getDailyThreatActorsCount

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/getDailyThreatActorsCount":{"post":{"summary":"api/getDailyThreatActorsCount","operationId":"https://app.akto.io/api/getDailyThreatActorsCount-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["endTs","startTs"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}}}}}}}
```

## POST /api/getActorsCountPerCounty

> api/getActorsCountPerCounty

```json
{"openapi":"3.0.1","info":{"title":"Protection","version":"1.0.0"},"servers":[{"url":"https://app.akto.io","description":"Akto API Server"}],"paths":{"/api/getActorsCountPerCounty":{"post":{"summary":"api/getActorsCountPerCounty","operationId":"https://app.akto.io/api/getActorsCountPerCounty-POST","parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"},"description":"You can get this from Settings > Integrations > Akto APIs > Generate token"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"endTs":{"type":"integer","format":"int32","types":["integer"]},"startTs":{"type":"integer","format":"int32","types":["integer"]}},"types":["object"],"required":["endTs","startTs"]}}}},"responses":{"200":{"description":"description","headers":{"date":{"schema":{"type":"string","types":["string"]}},"content-length":{"schema":{"type":"integer","format":"int32","types":["integer"]}},"vary":{"schema":{"type":"string","types":["string"]}},"via":{"schema":{"type":"string","types":["string"]}},"access-control-allow-origin":{"schema":{"type":"string","types":["string"]}},"access-control-allow-credentials":{"schema":{"type":"string","types":["string"]}},"content-type":{"schema":{"type":"string","types":["string"]}},"alt-svc":{"schema":{"type":"string","types":["string"]}},"cache-control":{"schema":{"type":"string","types":["string"]}},"content-language":{"schema":{"type":"string","types":["string"]}}},"content":{"application/json":{"schema":{"type":"object","types":["object"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akto.io/api-reference/threat-protection/fetch-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
